<template>
  <h1>Product list</h1>
  {{ message }}

  <div class="page-wrapper">
    <div class="table-containter">
      <div class="row row-cols-1 row-cols-md-3 g-4">
        <div v-for="offer in offers" :key="offer.id" class="col">
          <ProductCard
            :name=offer.offer.name
            :imageUrl=offer.image
            :link=offer.offer.link
            :price=offer.offer.price
            :merchantName=offer.merchant.name
            :merchantLogoUrl=offer.merchant.logo_url
            :merchantUrl=offer.merchant.url
            :currency=offer.offer.currency_iso
          />
        </div>
      </div>
    </div>
  </div>

</template>

<script>
import axios from 'axios'
import ProductCard from "@/components/ProductCard";

export default {
  name: 'FutureWidget',
  props: {},
  data() {
    return {
      message: null,
      apiData: null,
      offers: null
    }
  },
  mounted() {
    axios
        .get('https://search-api.fie.future.net.uk/widget.php?id=review&model_name=xbox_one_s&area=GB')
        .then(response => (this.apiData = response))
        .catch(error => this.message = "Can't fetch API data")
        .finally(() => this.getOffersFromData())
  },
  methods: {
    getOffersFromData: function () {
      this.offers = this.apiData.data.widget.data.offers;
    }
  },
  components: {
    ProductCard
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
  .page-wrapper {
    margin: 0 auto;
    max-width: 960px;
  }

  .table-containter {
    padding: 20px;
  }
</style>
